/* Copyright (c) 2001-2022, The Ohio State University. All rights
 * reserved.
 *
 * This file is part of the MVAPICH2-J software package developed by the
 * team members of The Ohio State University's Network-Based Computing
 * Laboratory (NBCL), headed by Professor Dhabaleswar K. (DK) Panda.
 *
 * For detailed copyright and licensing information, please refer to the
 * copyright file COPYRIGHT in the top level MVAPICH2-J directory.
 */

package mpi;

/**
 * This class represents a native request.
 */
public class NativeRequest extends Request {

  public long requestHandle;

  public NativeRequest() {}

  public NativeRequest(boolean isBufferComms) {
    this.isBufferComms = isBufferComms;
  }
}
