#!/bin/sh 

# mpi level tests 
#declare -a MPI_DIRECTORIES=('ccl' 'comm' 'env' 'group' 'perf' 'pt2pt' 'signals' 'threads' 'topo');

declare -a MPI_DIRECTORIES=('pt2pt' 'ccl' 'env' 'group' 'dtyp' 'comm' 'topo');

for directory in ${MPI_DIRECTORIES[@]}; do
    echo "Compiling mpi/$directory"
    javac -cp $MV2J_HOME/lib/mvapich2-j.jar:. mpi/$directory/*.java
done

