/* Copyright (c) 2001-2022, The Ohio State University. All rights
 * reserved.
 *
 * This file is part of the MVAPICH2-J software package developed by the
 * team members of The Ohio State University's Network-Based Computing
 * Laboratory (NBCL), headed by Professor Dhabaleswar K. (DK) Panda.
 *
 * For detailed copyright and licensing information, please refer to the
 * copyright file COPYRIGHT in the top level MVAPICH2-J directory.
 */

/* Copyright (c) 2001-2022, The Ohio State University. All rights
 * reserved.
 *
 * This file is part of the MVAPICH2-J software package developed by the
 * team members of The Ohio State University's Network-Based Computing
 * Laboratory (NBCL), headed by Professor Dhabaleswar K. (DK) Panda.
 *
 * For detailed copyright and licensing information, please refer to the
 * copyright file COPYRIGHT in the top level MVAPICH2-J directory.
 */

package mpi.env;

import mpi.*;

public class ErrStreamPrinter {
  public ErrStreamPrinter() {}

  public ErrStreamPrinter(String[] args) throws Exception {
    int me, size;
    String[] nargs = MPI.Init(args);
    me = MPI.COMM_WORLD.getRank();
    size = MPI.COMM_WORLD.getSize();

    if (me == 0) {
      System.out.println(" this is output stream ");
      System.err.println(" this is error stream");
    }

    if (me == 0) System.out.println("ErrStreamPrinter TEST COMPLETE\n");
    MPI.Finalize();
  }

  public static void main(String[] args) throws Exception {
    try {
      ErrStreamPrinter c = new ErrStreamPrinter(args);
    } catch (Exception e) {
    }
  }
}
