/* Copyright (c) 2001-2022, The Ohio State University. All rights
 * reserved.
 *
 * This file is part of the MVAPICH2-J software package developed by the
 * team members of The Ohio State University's Network-Based Computing
 * Laboratory (NBCL), headed by Professor Dhabaleswar K. (DK) Panda.
 *
 * For detailed copyright and licensing information, please refer to the
 * copyright file COPYRIGHT in the top level MVAPICH2-J directory.
 */

package mpi.signals;

import java.io.*;

import mpi.*;

public interface Task /*implements Serializable*/ {
  /**
   * Specify how the input task is to be executed. The result of the evaluation should always return
   * an object of type {@Result}.
   */
  public Result runTask();

  /** ???? */
  public void setResult(Result output);
}
