/* Copyright (c) 2001-2022, The Ohio State University. All rights
 * reserved.
 *
 * This file is part of the MVAPICH2-J software package developed by the
 * team members of The Ohio State University's Network-Based Computing
 * Laboratory (NBCL), headed by Professor Dhabaleswar K. (DK) Panda.
 *
 * For detailed copyright and licensing information, please refer to the
 * copyright file COPYRIGHT in the top level MVAPICH2-J directory.
 */

package mpi.signals;

// TestResult.java

import java.io.*;

import mpi.*;

public class TestResult implements Result, Serializable {

  public int output;

  public TestResult() {
    this.output = -1;
  }

  public TestResult(int d) {
    this.output = d;
  }

  public String toString() {
    return "Ack : proc_rank " + output + " has done the job";
  }
}
