declare -a MPI_GROUP_TESTS=('Group_com' 'Group_incl' 'Group_tranks' 'Group_diff'
'Group_intersect' 'Group_union' 'Group_excl' 'Group_self' 'group' 'range');

for testcase in ${MPI_GROUP_TESTS[@]}; do
    echo "Running:   mpi.group.$testcase"
        ${MPILIB}/bin/mpirun_rsh -np 8 -hostfile ${MV2J_HOME}/test/hosts LD_PRELOAD=${MPILIB}/lib/libmpi.so MV2_CPU_BINDING_LEVEL=SOCKET MV2_HOMOGENEOUS_CLUSTER=1 MV2_CPU_BINDING_POLICY=SCATTER java -cp ${MV2J_HOME}/lib/mvapich2-j.jar:. -Djava.library.path=${MV2J_HOME}/lib mpi.group.$testcase
        echo ""
done
