#declare -a MPI_PT2PT_TESTS=('NonBlockingPt2ptWithArrays'
#'NonBlockingPt2ptWithArraysAndTest' 'NonBlockingPt2ptWithByteBuffer'
#'NonBlockingPt2ptWithByteBufferAndTest' 'BlockingPt2ptWithArrays'
#'BlockingPt2ptWithByteBuffer' 'rSendWithArrays' 'irSendWithArrays' 
#'sSendWithArrays'
#'isSendWithArrays');

declare -a MPI_PT2PT_TESTS=('BreakANYSRC' 'BufferTest1' 'BufferTest3' 'getcount'
'iprobe' 'rsend' 'rsend2' 'sendrecv' 'sendrecv_rep' 'seq' 'ssend' 'test1'
'test2' 'test3' 'testall' 'testany' 'waitall' 'waitall2' 'waitany' 'waitnull'
'wildcard' 'SimpleNB' 'Send_rendez' 'Send_rendez_fairness' 'Send_eager_fairness'
'Ssend_test1' 'non_overtaking' 'intertwined' 'Isend_rendez'
'BlockingPt2ptWithArrays' 'BlockingPt2ptWithByteBuffer'
'NonBlockingPt2ptWithArrays' 'NonBlockingPt2ptWithArraysAndTest'
'NonBlockingPt2ptWithByteBuffer' 'NonBlockingPt2ptWithByteBufferAndTest'
'rSendWithArrays' 'irSendWithArrays' 'isSendWithArrays');

for testcase in ${MPI_PT2PT_TESTS[@]}; do
    echo "Running:   mpi.pt2pt.$testcase"
    ${MPILIB}/bin/mpirun_rsh -np 2 -hostfile ${MV2J_HOME}/test/hosts LD_PRELOAD=${MPILIB}/lib/libmpi.so MV2_CPU_BINDING_LEVEL=SOCKET MV2_HOMOGENEOUS_CLUSTER=1 MV2_CPU_BINDING_POLICY=SCATTER java -cp ${MV2J_HOME}/lib/mvapich2-j.jar:. -Djava.library.path=${MV2J_HOME}/lib mpi.pt2pt.$testcase
    echo ""
done
