declare -a MPI_TOPO_TESTS=('cart_topo' 'graph' 'sub2' 'sub' 'map' 'cart');

for testcase in ${MPI_TOPO_TESTS[@]}; do
    echo "Running:   mpi.topo.$testcase"
    ${MPILIB}/bin/mpirun_rsh -np 2 -hostfile ${MV2J_HOME}/test/hosts LD_PRELOAD=${MPILIB}/lib/libmpi.so MV2_CPU_BINDING_LEVEL=SOCKET MV2_HOMOGENEOUS_CLUSTER=1 MV2_CPU_BINDING_POLICY=SCATTER java -cp ${MV2J_HOME}/lib/mvapich2-j.jar:. -Djava.library.path=${MV2J_HOME}/lib mpi.topo.$testcase
    echo ""
done
