import mpi.*;

public class HelloWorld {
  public static void main(String[] args) throws Exception {
    MPI.Init(args);
    
    int me = MPI.COMM_WORLD.getRank(); 
    int ntasks = MPI.COMM_WORLD.getSize();
    String host = MPI.getProcessorName();
    
    if (me == 0) {
      System.out.println("Java Bindings for the MVAPICH2 Library");
    }

    MPI.COMM_WORLD.barrier();
    System.out.println("Process " + me + " of " + ntasks + " on " + host);    
    MPI.COMM_WORLD.barrier();

    MPI.Finalize();
  }
}
