# To run the example

Udpdate String[] spawn_argv inside Manager.java to your respective paths

Also make sure that you add the following line to .bashrc

```
export LD_PRELOAD=$MPILIB/lib/libmpi.so
```

If not added, running the code will result in a warning message

```
WARNING: Error in initializing MVAPICH2 ptmalloc library.Continuing without InfiniBand registration cache support.
```

After doing that, running the program then entails the following commands:

```
javac -cp /path/to/mvapich2-j.jar Manager.java
javac -cp /path/to/mvapich2-j.jar Worker.java
LD_PRELOAD=$MPILIB/lib/libmpi.so $MPILIB/bin/mpirun_rsh -export-all -np 1 $2 MV2_SUPPORT_DPM=1 MV2_CPU_BINDING_LEVEL=SOCKET MV2_HOMOGENEOUS_CLUSTER=1 MV2_CPU_BINDING_POLICY=SCATTER java -cp $MV2J_HOME/lib/mvapich2-j.jar:. -Djava.library.path=$MV2J_HOME/lib Manager
```

 
