# scatterv does not work because it used MPI_OBJECT
declare -a MPI_CCL_TESTS=('bcast' 'alltoall' 'AlltoAllWithByteBuffer'
'AlltoAllWithArrays' 'gather' 'GatherWithArrays' 'barrier'
'ReduceWithArrays' 'reduce2' 'allgather'
'AllgatherWithArrays' 'allreduce'
'AllreduceWithArrays' 'allgatherv' 'alltoallv' 'gatherv' 'scatter'
'reduce_scatter' 'ReduceScatterWithByteBuffer'
'GatherWithByteBuffer' 'AllgatherWithByteBuffer' 'ScatterWithByteBuffer'
'GathervWithByteBuffer' 'AllgathervWithByteBuffer'
'AllgathervWithArrays' 'AllreduceMPIByteTest' 
'ScattervWithArrays' 'ScattervWithByteBuffer' 'AlltoallvWithByteBuffer'
'BcastWithByteBuffer' 'ReduceMPIByteTest' 'ScatterWithArrays'
'AlltoallvWithArrays');

for testcase in ${MPI_CCL_TESTS[@]}; do
	echo "Running:   mpi.ccl.$testcase"
	${MPILIB}/bin/mpirun_rsh -np 4 -hostfile ${MV2J_HOME}/test/hosts LD_PRELOAD=${MPILIB}/lib/libmpi.so MV2_CPU_BINDING_LEVEL=SOCKET MV2_HOMOGENEOUS_CLUSTER=1 MV2_CPU_BINDING_POLICY=SCATTER java -cp ${MV2J_HOME}/lib/mvapich2-j.jar:. -Djava.library.path=${MV2J_HOME}/lib mpi.ccl.$testcase
	echo ""
done


