declare -a MPI_COMM_TESTS=('compare' 'commdup' 'split' 'intercomm');

for testcase in ${MPI_COMM_TESTS[@]}; do
    echo "Running:   mpi.comm.$testcase"
    ${MPILIB}/bin/mpirun_rsh -np 2 -hostfile ${MV2J_HOME}/test/hosts LD_PRELOAD=${MPILIB}/lib/libmpi.so MV2_CPU_BINDING_LEVEL=SOCKET MV2_HOMOGENEOUS_CLUSTER=1 MV2_CPU_BINDING_POLICY=SCATTER java -cp ${MV2J_HOME}/lib/mvapich2-j.jar:. -Djava.library.path=${MV2J_HOME}/lib mpi.comm.$testcase
    echo ""
done

echo "Running:   mpi.comm.comm_test"

LD_PRELOAD=${MPILIB}/lib/libmpi.so ${MPILIB}/bin/mpirun_rsh -np 8 -hostfile ${MV2J_HOME}/test/hosts LD_PRELOAD=${MPILIB}/lib/libmpi.so MV2_CPU_BINDING_LEVEL=SOCKET MV2_HOMOGENEOUS_CLUSTER=1 MV2_CPU_BINDING_POLICY=SCATTER java -cp ${MV2J_HOME}/lib/mvapich2-j.jar:. -Djava.library.path=${MV2J_HOME}/lib mpi.comm.comm_test

echo ""

echo "Running:   mpi.comm.CommTest"

LD_PRELOAD=${MPILIB}/lib/libmpi.so ${MPILIB}/bin/mpirun_rsh -np 8 -hostfile ${MV2J_HOME}/test/hosts LD_PRELOAD=${MPILIB}/lib/libmpi.so MV2_CPU_BINDING_LEVEL=SOCKET MV2_HOMOGENEOUS_CLUSTER=1 MV2_CPU_BINDING_POLICY=SCATTER java -cp ${MV2J_HOME}/lib/mvapich2-j.jar:. -Djava.library.path=${MV2J_HOME}/lib mpi.comm.CommTest

echo ""

echo "Running:   mpi.comm.split2"

LD_PRELOAD=${MPILIB}/lib/libmpi.so ${MPILIB}/bin/mpirun_rsh -np 8 -hostfile ${MV2J_HOME}/test/hosts LD_PRELOAD=${MPILIB}/lib/libmpi.so MV2_CPU_BINDING_LEVEL=SOCKET MV2_HOMOGENEOUS_CLUSTER=1 MV2_CPU_BINDING_POLICY=SCATTER java -cp ${MV2J_HOME}/lib/mvapich2-j.jar:. -Djava.library.path=${MV2J_HOME}/lib mpi.comm.split2

echo ""
